> ## Documentation Index
> Fetch the complete documentation index at: https://docs.driv.ly/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Vehicles



## OpenAPI

````yaml Commerce get /vehicles
openapi: 3.1.0
info:
  title: Commerce
  version: '3.0'
  contact:
    email: samuel@driv.ly
    name: Samuel Lippert
    url: https://driv.ly/
  description: Drivly Commerce API
servers:
  - url: https://commerce.driv.ly/api
security: []
paths:
  /vehicles:
    parameters:
      - schema:
          type: integer
        name: depth
        in: query
        required: false
        description: The number of levels of related objects to include in the response
    get:
      summary: Get Vehicles
      operationId: get-vehicles-list
      parameters:
        - schema:
            type: string
          in: query
          name: sort
          description: >-
            Pass the name of a top-level field to sort by that field in
            ascending order. Prefix the name of the field with a minus symbol
            ("-") to sort in descending order.
        - schema:
            type: number
          in: query
          name: limit
          description: Limit number of results, default 10
        - schema:
            $ref: '#/components/schemas/WhereVehicle'
          in: query
          name: where
          description: >-
            Search for results fitting criteria, uses qs library for query
            string parsing
      responses:
        '200':
          description: Vehicles Found
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/Vehicle'
                      success:
                        type: boolean
                  - $ref: '#/components/schemas/ListModel'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
                examples:
                  - error:
                      code: 401
                      message: Unauthorized
                    success: false
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
                examples:
                  - error:
                      code: 429
                      message: Too Many Requests
                    success: false
components:
  schemas:
    WhereVehicle:
      type: object
      properties:
        and:
          type: array
          items:
            $ref: '#/components/schemas/WhereVehicle'
        or:
          type: array
          items:
            $ref: '#/components/schemas/WhereVehicle'
        vin:
          type: object
          properties:
            equals:
              type: string
              description: The value must be exactly equal.
            not_equals:
              type: string
              description: >-
                The query will return all documents where the value is not
                equal.
            like:
              type: string
              description: >-
                Case-insensitive string must be present. If string of words, all
                words must be present, in any order.
            contains:
              type: string
              description: Must contain the value entered, case-insensitive.
            in:
              type: string
              description: >-
                The value must be found within the provided comma-delimited list
                of values.
            not_in:
              type: string
              description: >-
                The value must NOT be within the provided comma-delimited list
                of values.
            all:
              type: string
              description: >-
                The value must contain all values provided in the
                comma-delimited list.
            exists:
              type: boolean
              description: >-
                Only return documents where the value either exists (true) or
                does not exist (false).
        seatCount:
          type: object
          properties:
            equals:
              type: integer
              description: The value must be exactly equal.
            not_equals:
              type: integer
              description: >-
                The query will return all documents where the value is not
                equal.
            like:
              type: string
              description: >-
                Case-insensitive string must be present. If string of words, all
                words must be present, in any order.
            contains:
              type: string
              description: Must contain the value entered, case-insensitive.
            in:
              type: string
              description: >-
                The value must be found within the provided comma-delimited list
                of values.
            not_in:
              type: string
              description: >-
                The value must NOT be within the provided comma-delimited list
                of values.
            all:
              type: string
              description: >-
                The value must contain all values provided in the
                comma-delimited list.
            exists:
              type: boolean
              description: >-
                Only return documents where the value either exists (true) or
                does not exist (false).
        doorCount:
          type: object
          properties:
            equals:
              type: integer
              description: The value must be exactly equal.
            not_equals:
              type: integer
              description: >-
                The query will return all documents where the value is not
                equal.
            like:
              type: string
              description: >-
                Case-insensitive string must be present. If string of words, all
                words must be present, in any order.
            contains:
              type: string
              description: Must contain the value entered, case-insensitive.
            in:
              type: string
              description: >-
                The value must be found within the provided comma-delimited list
                of values.
            not_in:
              type: string
              description: >-
                The value must NOT be within the provided comma-delimited list
                of values.
            all:
              type: string
              description: >-
                The value must contain all values provided in the
                comma-delimited list.
            exists:
              type: boolean
              description: >-
                Only return documents where the value either exists (true) or
                does not exist (false).
        interiorColor:
          type: object
          properties:
            equals:
              type: string
              description: The value must be exactly equal.
            not_equals:
              type: string
              description: >-
                The query will return all documents where the value is not
                equal.
            like:
              type: string
              description: >-
                Case-insensitive string must be present. If string of words, all
                words must be present, in any order.
            contains:
              type: string
              description: Must contain the value entered, case-insensitive.
            in:
              type: string
              description: >-
                The value must be found within the provided comma-delimited list
                of values.
            not_in:
              type: string
              description: >-
                The value must NOT be within the provided comma-delimited list
                of values.
            all:
              type: string
              description: >-
                The value must contain all values provided in the
                comma-delimited list.
            exists:
              type: boolean
              description: >-
                Only return documents where the value either exists (true) or
                does not exist (false).
        exteriorColor:
          type: object
          properties:
            equals:
              type: string
              description: The value must be exactly equal.
            not_equals:
              type: string
              description: >-
                The query will return all documents where the value is not
                equal.
            like:
              type: string
              description: >-
                Case-insensitive string must be present. If string of words, all
                words must be present, in any order.
            contains:
              type: string
              description: Must contain the value entered, case-insensitive.
            in:
              type: string
              description: >-
                The value must be found within the provided comma-delimited list
                of values.
            not_in:
              type: string
              description: >-
                The value must NOT be within the provided comma-delimited list
                of values.
            all:
              type: string
              description: >-
                The value must contain all values provided in the
                comma-delimited list.
            exists:
              type: boolean
              description: >-
                Only return documents where the value either exists (true) or
                does not exist (false).
        year:
          type: object
          properties:
            equals:
              type: integer
              description: The value must be exactly equal.
            not_equals:
              type: integer
              description: >-
                The query will return all documents where the value is not
                equal.
            like:
              type: string
              description: >-
                Case-insensitive string must be present. If string of words, all
                words must be present, in any order.
            contains:
              type: string
              description: Must contain the value entered, case-insensitive.
            in:
              type: string
              description: >-
                The value must be found within the provided comma-delimited list
                of values.
            not_in:
              type: string
              description: >-
                The value must NOT be within the provided comma-delimited list
                of values.
            all:
              type: string
              description: >-
                The value must contain all values provided in the
                comma-delimited list.
            exists:
              type: boolean
              description: >-
                Only return documents where the value either exists (true) or
                does not exist (false).
        make:
          type: object
          properties:
            equals:
              type: string
              description: The value must be exactly equal.
            not_equals:
              type: string
              description: >-
                The query will return all documents where the value is not
                equal.
            like:
              type: string
              description: >-
                Case-insensitive string must be present. If string of words, all
                words must be present, in any order.
            contains:
              type: string
              description: Must contain the value entered, case-insensitive.
            in:
              type: string
              description: >-
                The value must be found within the provided comma-delimited list
                of values.
            not_in:
              type: string
              description: >-
                The value must NOT be within the provided comma-delimited list
                of values.
            all:
              type: string
              description: >-
                The value must contain all values provided in the
                comma-delimited list.
            exists:
              type: boolean
              description: >-
                Only return documents where the value either exists (true) or
                does not exist (false).
        trim:
          type: object
          properties:
            equals:
              type: string
              description: The value must be exactly equal.
            not_equals:
              type: string
              description: >-
                The query will return all documents where the value is not
                equal.
            like:
              type: string
              description: >-
                Case-insensitive string must be present. If string of words, all
                words must be present, in any order.
            contains:
              type: string
              description: Must contain the value entered, case-insensitive.
            in:
              type: string
              description: >-
                The value must be found within the provided comma-delimited list
                of values.
            not_in:
              type: string
              description: >-
                The value must NOT be within the provided comma-delimited list
                of values.
            all:
              type: string
              description: >-
                The value must contain all values provided in the
                comma-delimited list.
            exists:
              type: boolean
              description: >-
                Only return documents where the value either exists (true) or
                does not exist (false).
        transmission:
          type: object
          properties:
            equals:
              type: string
              description: The value must be exactly equal.
            not_equals:
              type: string
              description: >-
                The query will return all documents where the value is not
                equal.
            like:
              type: string
              description: >-
                Case-insensitive string must be present. If string of words, all
                words must be present, in any order.
            contains:
              type: string
              description: Must contain the value entered, case-insensitive.
            in:
              type: string
              description: >-
                The value must be found within the provided comma-delimited list
                of values.
            not_in:
              type: string
              description: >-
                The value must NOT be within the provided comma-delimited list
                of values.
            all:
              type: string
              description: >-
                The value must contain all values provided in the
                comma-delimited list.
            exists:
              type: boolean
              description: >-
                Only return documents where the value either exists (true) or
                does not exist (false).
        engine:
          type: object
          properties:
            equals:
              type: string
              description: The value must be exactly equal.
            not_equals:
              type: string
              description: >-
                The query will return all documents where the value is not
                equal.
            like:
              type: string
              description: >-
                Case-insensitive string must be present. If string of words, all
                words must be present, in any order.
            contains:
              type: string
              description: Must contain the value entered, case-insensitive.
            in:
              type: string
              description: >-
                The value must be found within the provided comma-delimited list
                of values.
            not_in:
              type: string
              description: >-
                The value must NOT be within the provided comma-delimited list
                of values.
            all:
              type: string
              description: >-
                The value must contain all values provided in the
                comma-delimited list.
            exists:
              type: boolean
              description: >-
                Only return documents where the value either exists (true) or
                does not exist (false).
        spec:
          type: object
          properties:
            equals:
              description: The value must be exactly equal.
            not_equals:
              description: >-
                The query will return all documents where the value is not
                equal.
            like:
              type: string
              description: >-
                Case-insensitive string must be present. If string of words, all
                words must be present, in any order.
            contains:
              type: string
              description: Must contain the value entered, case-insensitive.
            in:
              type: string
              description: >-
                The value must be found within the provided comma-delimited list
                of values.
            not_in:
              type: string
              description: >-
                The value must NOT be within the provided comma-delimited list
                of values.
            all:
              type: string
              description: >-
                The value must contain all values provided in the
                comma-delimited list.
            exists:
              type: boolean
              description: >-
                Only return documents where the value either exists (true) or
                does not exist (false).
        drivetrain:
          type: object
          properties:
            equals:
              type: string
              description: The value must be exactly equal.
            not_equals:
              type: string
              description: >-
                The query will return all documents where the value is not
                equal.
            like:
              type: string
              description: >-
                Case-insensitive string must be present. If string of words, all
                words must be present, in any order.
            contains:
              type: string
              description: Must contain the value entered, case-insensitive.
            in:
              type: string
              description: >-
                The value must be found within the provided comma-delimited list
                of values.
            not_in:
              type: string
              description: >-
                The value must NOT be within the provided comma-delimited list
                of values.
            all:
              type: string
              description: >-
                The value must contain all values provided in the
                comma-delimited list.
            exists:
              type: boolean
              description: >-
                Only return documents where the value either exists (true) or
                does not exist (false).
        model:
          type: object
          properties:
            equals:
              type: string
              description: The value must be exactly equal.
            not_equals:
              type: string
              description: >-
                The query will return all documents where the value is not
                equal.
            like:
              type: string
              description: >-
                Case-insensitive string must be present. If string of words, all
                words must be present, in any order.
            contains:
              type: string
              description: Must contain the value entered, case-insensitive.
            in:
              type: string
              description: >-
                The value must be found within the provided comma-delimited list
                of values.
            not_in:
              type: string
              description: >-
                The value must NOT be within the provided comma-delimited list
                of values.
            all:
              type: string
              description: >-
                The value must contain all values provided in the
                comma-delimited list.
            exists:
              type: boolean
              description: >-
                Only return documents where the value either exists (true) or
                does not exist (false).
        bodyStyle:
          type: object
          properties:
            equals:
              type: string
              description: The value must be exactly equal.
            not_equals:
              type: string
              description: >-
                The query will return all documents where the value is not
                equal.
            like:
              type: string
              description: >-
                Case-insensitive string must be present. If string of words, all
                words must be present, in any order.
            contains:
              type: string
              description: Must contain the value entered, case-insensitive.
            in:
              type: string
              description: >-
                The value must be found within the provided comma-delimited list
                of values.
            not_in:
              type: string
              description: >-
                The value must NOT be within the provided comma-delimited list
                of values.
            all:
              type: string
              description: >-
                The value must contain all values provided in the
                comma-delimited list.
            exists:
              type: boolean
              description: >-
                Only return documents where the value either exists (true) or
                does not exist (false).
    Vehicle:
      $id: Vehicle
      examples:
        - vin: 1C4HJXEN5MW592818
          year: 2021
          make: Jeep
          trim: Sport
          spec: vs_4jf8x9jv5c0b
          model: Wrangler
          engine: 3.6L V6
          seatCount: 5
          doorCount: 4
          bodyStyle: SUV
          drivetrain: 4WD
          transmission: Automatic
          interiorColor: Black
          exteriorColor: Red
      required:
        - vin
        - year
        - make
        - transmission
        - engine
        - drivetrain
        - model
        - bodyStyle
      title: Vehicle
      type: object
      properties:
        vin:
          type: string
          description: Vehicle is uniquely identified by vin
        seatCount:
          type: integer
          minimum: 0
          description: Vehicle has Seat Count
        doorCount:
          type: integer
          minimum: 0
          description: Vehicle has Door Count
        interiorColor:
          type: string
          description: Vehicle was manufactured with Interior Color
        exteriorColor:
          type: string
          description: Vehicle was manufactured with Exterior Color
        year:
          type: integer
          description: Vehicle was manufactured in Year
        make:
          type: string
          description: Vehicle is of Make
        trim:
          type: string
          description: Vehicle has Trim level
        transmission:
          type: string
          description: Vehicle has Transmission
        engine:
          type: string
          description: Vehicle has Engine specification
        spec:
          oneOf:
            - type: string
            - $ref: '#/components/schemas/VehicleSpec'
          description: Vehicle has Vehicle Spec
        drivetrain:
          type: string
          description: Vehicle has Drivetrain
        model:
          type: string
          description: Vehicle has Model
        bodyStyle:
          type: string
          description: Vehicle has Body Style
    ListModel:
      properties:
        page:
          type: number
          description: Current page number
          examples:
            - 2
        nextPage:
          type: number
          nullable: true
          description: '`number` of next page, `null` if it doesn''t exist'
          examples:
            - 3
        prevPage:
          type: number
          nullable: true
          description: '`number` of previous page, `null` if it doesn''t exist'
          examples:
            - 1
        totalPages:
          type: number
          description: Total pages available, based upon the `limit`
          examples:
            - 3
        totalCount:
          type: number
          description: Total available records within the database
          examples:
            - 25
        limit:
          type: number
          description: Limit query parameter, defaults to `10`
          examples:
            - 10
        pagingCounter:
          type: number
          description: '`number` of the first record on the current page'
          examples:
            - 11
        hasPrevPage:
          type: boolean
          description: '`true/false` if previous page exists'
          examples:
            - true
        hasNextPage:
          type: boolean
          description: '`true/false` if next page exists'
          examples:
            - true
    ErrorModel:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: number
            message:
              type: string
        success:
          type: boolean
    VehicleSpec:
      $id: VehicleSpec
      title: Vehicle Spec
      examples:
        - id: vs_4jf8x9jv5c0b
          make: Toyota
          year: 2022
          trim: SE
          model: Camry
          engine: 2.5L 4-cylinder
          squishVin: 4T1BF1FK5H
          bodyStyle: Sedan
          drivetrain: FWD
          transmission: Automatic
          exteriorColors:
            - Black
            - Silver
          interiorColors:
            - Black
            - Gray
      properties:
        id:
          type: string
          description: Vehicle Spec is uniquely identified by id
        model:
          type: string
          description: Vehicle Spec has Model
        make:
          type: string
          description: Vehicle Spec has Make
        squishVin:
          type: string
          minLength: 10
          maxLength: 10
          description: Vehicle Spec has Squish VIN
        year:
          type: integer
          description: Vehicle Spec has Year
        engine:
          type: string
          description: Vehicle Spec has Engine specifications
        drivetrain:
          type: string
          description: Vehicle Spec has Drivetrain
        bodyStyle:
          type: string
          description: Vehicle Spec has Body Style
        transmission:
          type: string
          description: Vehicle Spec has Transmission
        trim:
          type: string
          description: Vehicle Spec has Trim
        exteriorColors:
          type: array
          items:
            type: string
          description: Vehicle Spec has Exterior Color
        interiorColors:
          type: array
          items:
            type: string
          description: Vehicle Spec has Interior Color
      type: object
      required:
        - id
        - model
        - make
        - year
        - engine
        - drivetrain
        - bodyStyle
        - transmission

````